import {SET_MAIN_SUIT, SET_CURRENT_ILL, SET_OTHER_HISTORY} from '../types/fillInfo'
import {setMainSuit, setCurrentIll, setOtherHistory} from '../actions/fillInfo'

const initState = {
  mainSuit: '',
  currentIll: '',
  otherHistory: ''
};
export default function(state = initState, action) {
  switch (action.type) {
    case SET_MAIN_SUIT:
      return setMainSuit(state, action);
    case SET_CURRENT_ILL:
      return setCurrentIll(state, action);
    case SET_OTHER_HISTORY:
      return setOtherHistory(state, action);
    default:
      return state;
  }
}
